<!DOCTYPE html>
<html>
  <head>
    <title>Propiedades</title>
  </head>
  <body>
    <label>Nombre:</label>
    <input id="nombre" />
    <label>Apellido:</label>
    <input id="apellido" />
    <button onclick="onClick()">Nombre completo</button>
    <script>
      class Persona {
        constructor(nombre, apellido) {
          this.nombre = nombre
          this.apellido = apellido
        }

        /*
        nombreCompleto(){
          return this.apellido + ', ' + this.nombre
        }
        */

        get nombreCompleto() {
          return this.apellido + ', ' + this.nombre
        }

        set nombreCompleto(value) {
          let v = value.split(', ')
          this.nombre = v[1]
          this.apellido = v[0]
        }
      }

      function onClick() {
        let nombre =  document.getElementById('nombre').value
        let apellido =  document.getElementById('apellido').value
        persona = new Persona(nombre, apellido)

        //alert(persona.nombreCompleto())

        // Llama a get
        alert(persona.nombreCompleto)

        // Llama a set
        persona.nombreCompleto = 'Apellido, Nombre'

        // Llama a get
        alert(persona.nombreCompleto)
      }
    </script>
  </body>
</html>